## org.eclipse.ocl.expressions.impl
Class ExpressionsPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.expressions.impl.ExpressionsPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, ExpressionsPackage

    public class ExpressionsPackageImpl

extends EPackageImpl
implements ExpressionsPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.expressions.ExpressionsPackage
`ExpressionsPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static EPackage` `OCL_ROOT_PACKAGE` Root package of the OCL Ecore model, which we have to "fake out" because EMF will not generate it.

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.expressions.ExpressionsPackage

`ASSOCIATION_CLASS_CALL_EXP, ASSOCIATION_CLASS_CALL_EXP__END_POSITION, ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE, ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION, ASSOCIATION_CLASS_CALL_EXP__QUALIFIER, ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS, ASSOCIATION_CLASS_CALL_EXP__SOURCE, ASSOCIATION_CLASS_CALL_EXP__START_POSITION, ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT, BOOLEAN_LITERAL_EXP, BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL, BOOLEAN_LITERAL_EXP__END_POSITION, BOOLEAN_LITERAL_EXP__START_POSITION, BOOLEAN_LITERAL_EXP_FEATURE_COUNT, CALL_EXP, CALL_EXP__END_POSITION, CALL_EXP__PROPERTY_END_POSITION, CALL_EXP__PROPERTY_START_POSITION, CALL_EXP__SOURCE, CALL_EXP__START_POSITION, CALL_EXP_FEATURE_COUNT, COLLECTION_ITEM, COLLECTION_ITEM__ITEM, COLLECTION_ITEM_FEATURE_COUNT, COLLECTION_KIND, COLLECTION_LITERAL_EXP, COLLECTION_LITERAL_EXP__END_POSITION, COLLECTION_LITERAL_EXP__KIND, COLLECTION_LITERAL_EXP__PART, COLLECTION_LITERAL_EXP__SIMPLE_RANGE, COLLECTION_LITERAL_EXP__START_POSITION, COLLECTION_LITERAL_EXP_FEATURE_COUNT, COLLECTION_LITERAL_PART, COLLECTION_LITERAL_PART_FEATURE_COUNT, COLLECTION_RANGE, COLLECTION_RANGE__FIRST, COLLECTION_RANGE__LAST, COLLECTION_RANGE_FEATURE_COUNT, eCONTENT_TYPE, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, ENUM_LITERAL_EXP, ENUM_LITERAL_EXP__END_POSITION, ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL, ENUM_LITERAL_EXP__START_POSITION, ENUM_LITERAL_EXP_FEATURE_COUNT, FEATURE_CALL_EXP, FEATURE_CALL_EXP__END_POSITION, FEATURE_CALL_EXP__MARKED_PRE, FEATURE_CALL_EXP__PROPERTY_END_POSITION, FEATURE_CALL_EXP__PROPERTY_START_POSITION, FEATURE_CALL_EXP__SOURCE, FEATURE_CALL_EXP__START_POSITION, FEATURE_CALL_EXP_FEATURE_COUNT, IF_EXP, IF_EXP__CONDITION, IF_EXP__ELSE_EXPRESSION, IF_EXP__END_POSITION, IF_EXP__START_POSITION, IF_EXP__THEN_EXPRESSION, IF_EXP_FEATURE_COUNT, INTEGER_LITERAL_EXP, INTEGER_LITERAL_EXP__END_POSITION, INTEGER_LITERAL_EXP__INTEGER_SYMBOL, INTEGER_LITERAL_EXP__START_POSITION, INTEGER_LITERAL_EXP_FEATURE_COUNT, INVALID_LITERAL_EXP, INVALID_LITERAL_EXP__END_POSITION, INVALID_LITERAL_EXP__START_POSITION, INVALID_LITERAL_EXP_FEATURE_COUNT, ITERATE_EXP, ITERATE_EXP__BODY, ITERATE_EXP__END_POSITION, ITERATE_EXP__ITERATOR, ITERATE_EXP__PROPERTY_END_POSITION, ITERATE_EXP__PROPERTY_START_POSITION, ITERATE_EXP__RESULT, ITERATE_EXP__SOURCE, ITERATE_EXP__START_POSITION, ITERATE_EXP_FEATURE_COUNT, ITERATOR_EXP, ITERATOR_EXP__BODY, ITERATOR_EXP__END_POSITION, ITERATOR_EXP__ITERATOR, ITERATOR_EXP__PROPERTY_END_POSITION, ITERATOR_EXP__PROPERTY_START_POSITION, ITERATOR_EXP__SOURCE, ITERATOR_EXP__START_POSITION, ITERATOR_EXP_FEATURE_COUNT, LET_EXP, LET_EXP__END_POSITION, LET_EXP__IN, LET_EXP__START_POSITION, LET_EXP__VARIABLE, LET_EXP_FEATURE_COUNT, LITERAL_EXP, LITERAL_EXP__END_POSITION, LITERAL_EXP__START_POSITION, LITERAL_EXP_FEATURE_COUNT, LOOP_EXP, LOOP_EXP__BODY, LOOP_EXP__END_POSITION, LOOP_EXP__ITERATOR, LOOP_EXP__PROPERTY_END_POSITION, LOOP_EXP__PROPERTY_START_POSITION, LOOP_EXP__SOURCE, LOOP_EXP__START_POSITION, LOOP_EXP_FEATURE_COUNT, MESSAGE_EXP, MESSAGE_EXP__ARGUMENT, MESSAGE_EXP__CALLED_OPERATION, MESSAGE_EXP__END_POSITION, MESSAGE_EXP__PROPERTY_END_POSITION, MESSAGE_EXP__PROPERTY_START_POSITION, MESSAGE_EXP__SENT_SIGNAL, MESSAGE_EXP__START_POSITION, MESSAGE_EXP__TARGET, MESSAGE_EXP_FEATURE_COUNT, NAVIGATION_CALL_EXP, NAVIGATION_CALL_EXP__END_POSITION, NAVIGATION_CALL_EXP__MARKED_PRE, NAVIGATION_CALL_EXP__NAVIGATION_SOURCE, NAVIGATION_CALL_EXP__PROPERTY_END_POSITION, NAVIGATION_CALL_EXP__PROPERTY_START_POSITION, NAVIGATION_CALL_EXP__QUALIFIER, NAVIGATION_CALL_EXP__SOURCE, NAVIGATION_CALL_EXP__START_POSITION, NAVIGATION_CALL_EXP_FEATURE_COUNT, NULL_LITERAL_EXP, NULL_LITERAL_EXP__END_POSITION, NULL_LITERAL_EXP__START_POSITION, NULL_LITERAL_EXP_FEATURE_COUNT, NUMERIC_LITERAL_EXP, NUMERIC_LITERAL_EXP__END_POSITION, NUMERIC_LITERAL_EXP__START_POSITION, NUMERIC_LITERAL_EXP_FEATURE_COUNT, OCL_EXPRESSION, OCL_EXPRESSION__END_POSITION, OCL_EXPRESSION__START_POSITION, OCL_EXPRESSION_FEATURE_COUNT, OPERATION_CALL_EXP, OPERATION_CALL_EXP__ARGUMENT, OPERATION_CALL_EXP__END_POSITION, OPERATION_CALL_EXP__MARKED_PRE, OPERATION_CALL_EXP__OPERATION_CODE, OPERATION_CALL_EXP__PROPERTY_END_POSITION, OPERATION_CALL_EXP__PROPERTY_START_POSITION, OPERATION_CALL_EXP__REFERRED_OPERATION, OPERATION_CALL_EXP__SOURCE, OPERATION_CALL_EXP__START_POSITION, OPERATION_CALL_EXP_FEATURE_COUNT, PRIMITIVE_LITERAL_EXP, PRIMITIVE_LITERAL_EXP__END_POSITION, PRIMITIVE_LITERAL_EXP__START_POSITION, PRIMITIVE_LITERAL_EXP_FEATURE_COUNT, PROPERTY_CALL_EXP, PROPERTY_CALL_EXP__END_POSITION, PROPERTY_CALL_EXP__MARKED_PRE, PROPERTY_CALL_EXP__NAVIGATION_SOURCE, PROPERTY_CALL_EXP__PROPERTY_END_POSITION, PROPERTY_CALL_EXP__PROPERTY_START_POSITION, PROPERTY_CALL_EXP__QUALIFIER, PROPERTY_CALL_EXP__REFERRED_PROPERTY, PROPERTY_CALL_EXP__SOURCE, PROPERTY_CALL_EXP__START_POSITION, PROPERTY_CALL_EXP_FEATURE_COUNT, REAL_LITERAL_EXP, REAL_LITERAL_EXP__END_POSITION, REAL_LITERAL_EXP__REAL_SYMBOL, REAL_LITERAL_EXP__START_POSITION, REAL_LITERAL_EXP_FEATURE_COUNT, STATE_EXP, STATE_EXP__END_POSITION, STATE_EXP__REFERRED_STATE, STATE_EXP__START_POSITION, STATE_EXP_FEATURE_COUNT, STRING_LITERAL_EXP, STRING_LITERAL_EXP__END_POSITION, STRING_LITERAL_EXP__START_POSITION, STRING_LITERAL_EXP__STRING_SYMBOL, STRING_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_EXP, TUPLE_LITERAL_EXP__END_POSITION, TUPLE_LITERAL_EXP__PART, TUPLE_LITERAL_EXP__START_POSITION, TUPLE_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_PART, TUPLE_LITERAL_PART__ATTRIBUTE, TUPLE_LITERAL_PART__END_POSITION, TUPLE_LITERAL_PART__START_POSITION, TUPLE_LITERAL_PART__TYPE_END_POSITION, TUPLE_LITERAL_PART__TYPE_START_POSITION, TUPLE_LITERAL_PART__VALUE, TUPLE_LITERAL_PART_FEATURE_COUNT, TYPE_EXP, TYPE_EXP__END_POSITION, TYPE_EXP__REFERRED_TYPE, TYPE_EXP__START_POSITION, TYPE_EXP_FEATURE_COUNT, UNLIMITED_NATURAL_LITERAL_EXP, UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL, UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED, UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT, UNSPECIFIED_VALUE_EXP, UNSPECIFIED_VALUE_EXP__END_POSITION, UNSPECIFIED_VALUE_EXP__START_POSITION, UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION, UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION, UNSPECIFIED_VALUE_EXP_FEATURE_COUNT, VARIABLE, VARIABLE__END_POSITION, VARIABLE__INIT_EXPRESSION, VARIABLE__REPRESENTED_PARAMETER, VARIABLE__START_POSITION, VARIABLE__TYPE_END_POSITION, VARIABLE__TYPE_START_POSITION, VARIABLE_EXP, VARIABLE_EXP__END_POSITION, VARIABLE_EXP__REFERRED_VARIABLE, VARIABLE_EXP__START_POSITION, VARIABLE_EXP_FEATURE_COUNT, VARIABLE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getAssociationClassCallExp_ReferredAssociationClass()`
`EClass` `getAssociationClassCallExp()`
`EAttribute` `getBooleanLiteralExp_BooleanSymbol()`
`EClass` `getBooleanLiteralExp()`
`EReference` `getCallExp_Source()`
`EClass` `getCallExp()`
`EReference` `getCollectionItem_Item()`
`EClass` `getCollectionItem()`
`EEnum` `getCollectionKind()`
`EAttribute` `getCollectionLiteralExp_Kind()`
`EReference` `getCollectionLiteralExp_Part()`
`EAttribute` `getCollectionLiteralExp_SimpleRange()`
`EClass` `getCollectionLiteralExp()`
`EClass` `getCollectionLiteralPart()`
`EReference` `getCollectionRange_First()`
`EReference` `getCollectionRange_Last()`
`EClass` `getCollectionRange()`
`EReference` `getEnumLiteralExp_ReferredEnumLiteral()`
`EClass` `getEnumLiteralExp()`
`ExpressionsFactory` `getExpressionsFactory()`
`EAttribute` `getFeatureCallExp_MarkedPre()`
`EClass` `getFeatureCallExp()`
`EReference` `getIfExp_Condition()`
`EReference` `getIfExp_ElseExpression()`
`EReference` `getIfExp_ThenExpression()`
`EClass` `getIfExp()`
`EAttribute` `getIntegerLiteralExp_IntegerSymbol()`
`EClass` `getIntegerLiteralExp()`
`EClass` `getInvalidLiteralExp()`
`EReference` `getIterateExp_Result()`
`EClass` `getIterateExp()`
`EClass` `getIteratorExp()`
`EReference` `getLetExp_In()`
`EReference` `getLetExp_Variable()`
`EClass` `getLetExp()`
`EClass` `getLiteralExp()`
`EReference` `getLoopExp_Body()`
`EReference` `getLoopExp_Iterator()`
`EClass` `getLoopExp()`
`EReference` `getMessageExp_Argument()`
`EReference` `getMessageExp_CalledOperation()`
`EReference` `getMessageExp_SentSignal()`
`EReference` `getMessageExp_Target()`
`EClass` `getMessageExp()`
`EReference` `getNavigationCallExp_NavigationSource()`
`EReference` `getNavigationCallExp_Qualifier()`
`EClass` `getNavigationCallExp()`
`EClass` `getNullLiteralExp()`
`EClass` `getNumericLiteralExp()`
`EClass` `getOCLExpression()`
`EReference` `getOperationCallExp_Argument()`
`EAttribute` `getOperationCallExp_OperationCode()`
`EReference` `getOperationCallExp_ReferredOperation()`
`EClass` `getOperationCallExp()`
`EClass` `getPrimitiveLiteralExp()`
`EReference` `getPropertyCallExp_ReferredProperty()`
`EClass` `getPropertyCallExp()`
`EAttribute` `getRealLiteralExp_RealSymbol()`
`EClass` `getRealLiteralExp()`
`EReference` `getStateExp_ReferredState()`
`EClass` `getStateExp()`
`EAttribute` `getStringLiteralExp_StringSymbol()`
`EClass` `getStringLiteralExp()`
`EReference` `getTupleLiteralExp_Part()`
`EClass` `getTupleLiteralExp()`
`EReference` `getTupleLiteralPart_Attribute()`
`EReference` `getTupleLiteralPart_Value()`
`EClass` `getTupleLiteralPart()`
`EReference` `getTypeExp_ReferredType()`
`EClass` `getTypeExp()`
`EAttribute` `getUnlimitedNaturalLiteralExp_IntegerSymbol()`
`EAttribute` `getUnlimitedNaturalLiteralExp_Unlimited()`
`EClass` `getUnlimitedNaturalLiteralExp()`
`EClass` `getUnspecifiedValueExp()`
`EReference` `getVariable_InitExpression()`
`EReference` `getVariable_RepresentedParameter()`
`EClass` `getVariable()`
`EReference` `getVariableExp_ReferredVariable()`
`EClass` `getVariableExp()`
`static ExpressionsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### OCL_ROOT_PACKAGE

    public static final EPackage OCL_ROOT_PACKAGE

  Root package of the OCL Ecore model, which we have to "fake out" because EMF will not generate it.

Method Detail

### init

    public static ExpressionsPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `ExpressionsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `ExpressionsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAssociationClassCallExp

    public EClass getAssociationClassCallExp()

  Specified by:
    `getAssociationClassCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Association Class Call Exp'.
  See Also:
    `AssociationClassCallExp`

### getAssociationClassCallExp_ReferredAssociationClass

    public EReference getAssociationClassCallExp_ReferredAssociationClass()

  Specified by:
    `getAssociationClassCallExp_ReferredAssociationClass` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Association Class'.
  See Also:
    `AssociationClassCallExp.getReferredAssociationClass()`, `ExpressionsPackage.getAssociationClassCallExp()`

### getBooleanLiteralExp

    public EClass getBooleanLiteralExp()

  Specified by:
    `getBooleanLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Boolean Literal Exp'.
  See Also:
    `BooleanLiteralExp`

### getBooleanLiteralExp_BooleanSymbol

    public EAttribute getBooleanLiteralExp_BooleanSymbol()

  Specified by:
    `getBooleanLiteralExp_BooleanSymbol` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Boolean Symbol'.
  See Also:
    `BooleanLiteralExp.getBooleanSymbol()`, `ExpressionsPackage.getBooleanLiteralExp()`

### getCallExp

    public EClass getCallExp()

  Specified by:
    `getCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Call Exp'.
  See Also:
    `CallExp`

### getCallExp_Source

    public EReference getCallExp_Source()

  Specified by:
    `getCallExp_Source` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `CallExp.getSource()`, `ExpressionsPackage.getCallExp()`

### getCollectionItem

    public EClass getCollectionItem()

  Specified by:
    `getCollectionItem` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Collection Item'.
  See Also:
    `CollectionItem`

### getCollectionItem_Item

    public EReference getCollectionItem_Item()

  Specified by:
    `getCollectionItem_Item` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Item'.
  See Also:
    `CollectionItem.getItem()`, `ExpressionsPackage.getCollectionItem()`

### getCollectionLiteralExp

    public EClass getCollectionLiteralExp()

  Specified by:
    `getCollectionLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Collection Literal Exp'.
  See Also:
    `CollectionLiteralExp`

### getCollectionLiteralExp_Kind

    public EAttribute getCollectionLiteralExp_Kind()

  Specified by:
    `getCollectionLiteralExp_Kind` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionLiteralExp.getKind()`, `ExpressionsPackage.getCollectionLiteralExp()`

### getCollectionLiteralExp_Part

    public EReference getCollectionLiteralExp_Part()

  Specified by:
    `getCollectionLiteralExp_Part` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `CollectionLiteralExp.getPart()`, `ExpressionsPackage.getCollectionLiteralExp()`

### getCollectionLiteralExp_SimpleRange

    public EAttribute getCollectionLiteralExp_SimpleRange()

  Specified by:
    `getCollectionLiteralExp_SimpleRange` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Simple Range'.
  See Also:
    `CollectionLiteralExp.isSimpleRange()`, `ExpressionsPackage.getCollectionLiteralExp()`

### getCollectionLiteralPart

    public EClass getCollectionLiteralPart()

  Specified by:
    `getCollectionLiteralPart` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Collection Literal Part'.
  See Also:
    `CollectionLiteralPart`

### getCollectionRange

    public EClass getCollectionRange()

  Specified by:
    `getCollectionRange` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Collection Range'.
  See Also:
    `CollectionRange`

### getCollectionRange_First

    public EReference getCollectionRange_First()

  Specified by:
    `getCollectionRange_First` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'First'.
  See Also:
    `CollectionRange.getFirst()`, `ExpressionsPackage.getCollectionRange()`

### getCollectionRange_Last

    public EReference getCollectionRange_Last()

  Specified by:
    `getCollectionRange_Last` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Last'.
  See Also:
    `CollectionRange.getLast()`, `ExpressionsPackage.getCollectionRange()`

### getEnumLiteralExp

    public EClass getEnumLiteralExp()

  Specified by:
    `getEnumLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Enum Literal Exp'.
  See Also:
    `EnumLiteralExp`

### getEnumLiteralExp_ReferredEnumLiteral

    public EReference getEnumLiteralExp_ReferredEnumLiteral()

  Specified by:
    `getEnumLiteralExp_ReferredEnumLiteral` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Enum Literal'.
  See Also:
    `EnumLiteralExp.getReferredEnumLiteral()`, `ExpressionsPackage.getEnumLiteralExp()`

### getFeatureCallExp

    public EClass getFeatureCallExp()

  Specified by:
    `getFeatureCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Feature Call Exp'.
  See Also:
    `FeatureCallExp`

### getFeatureCallExp_MarkedPre

    public EAttribute getFeatureCallExp_MarkedPre()

  Specified by:
    `getFeatureCallExp_MarkedPre` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Marked Pre'.
  See Also:
    `FeatureCallExp.isMarkedPre()`, `ExpressionsPackage.getFeatureCallExp()`

### getIfExp

    public EClass getIfExp()

  Specified by:
    `getIfExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'If Exp'.
  See Also:
    `IfExp`

### getIfExp_Condition

    public EReference getIfExp_Condition()

  Specified by:
    `getIfExp_Condition` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `IfExp.getCondition()`, `ExpressionsPackage.getIfExp()`

### getIfExp_ThenExpression

    public EReference getIfExp_ThenExpression()

  Specified by:
    `getIfExp_ThenExpression` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Then Expression'.
  See Also:
    `IfExp.getThenExpression()`, `ExpressionsPackage.getIfExp()`

### getIfExp_ElseExpression

    public EReference getIfExp_ElseExpression()

  Specified by:
    `getIfExp_ElseExpression` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Else Expression'.
  See Also:
    `IfExp.getElseExpression()`, `ExpressionsPackage.getIfExp()`

### getIntegerLiteralExp

    public EClass getIntegerLiteralExp()

  Specified by:
    `getIntegerLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Integer Literal Exp'.
  See Also:
    `IntegerLiteralExp`

### getIntegerLiteralExp_IntegerSymbol

    public EAttribute getIntegerLiteralExp_IntegerSymbol()

  Specified by:
    `getIntegerLiteralExp_IntegerSymbol` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `IntegerLiteralExp.getIntegerSymbol()`, `ExpressionsPackage.getIntegerLiteralExp()`

### getUnlimitedNaturalLiteralExp

    public EClass getUnlimitedNaturalLiteralExp()

  Specified by:
    `getUnlimitedNaturalLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Unlimited Natural Literal Exp'.
  See Also:
    `UnlimitedNaturalLiteralExp`

### getUnlimitedNaturalLiteralExp_IntegerSymbol

    public EAttribute getUnlimitedNaturalLiteralExp_IntegerSymbol()

  Specified by:
    `getUnlimitedNaturalLiteralExp_IntegerSymbol` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `UnlimitedNaturalLiteralExp.getIntegerSymbol()`, `ExpressionsPackage.getUnlimitedNaturalLiteralExp()`

### getUnlimitedNaturalLiteralExp_Unlimited

    public EAttribute getUnlimitedNaturalLiteralExp_Unlimited()

  Specified by:
    `getUnlimitedNaturalLiteralExp_Unlimited` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Unlimited'.
  See Also:
    `UnlimitedNaturalLiteralExp.isUnlimited()`, `ExpressionsPackage.getUnlimitedNaturalLiteralExp()`

### getInvalidLiteralExp

    public EClass getInvalidLiteralExp()

  Specified by:
    `getInvalidLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Invalid Literal Exp'.
  See Also:
    `InvalidLiteralExp`

### getIterateExp

    public EClass getIterateExp()

  Specified by:
    `getIterateExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Iterate Exp'.
  See Also:
    `IterateExp`

### getIterateExp_Result

    public EReference getIterateExp_Result()

  Specified by:
    `getIterateExp_Result` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Result'.
  See Also:
    `IterateExp.getResult()`, `ExpressionsPackage.getIterateExp()`

### getIteratorExp

    public EClass getIteratorExp()

  Specified by:
    `getIteratorExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Iterator Exp'.
  See Also:
    `IteratorExp`

### getLetExp

    public EClass getLetExp()

  Specified by:
    `getLetExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Let Exp'.
  See Also:
    `LetExp`

### getLetExp_In

    public EReference getLetExp_In()

  Specified by:
    `getLetExp_In` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'In'.
  See Also:
    `LetExp.getIn()`, `ExpressionsPackage.getLetExp()`

### getLetExp_Variable

    public EReference getLetExp_Variable()

  Specified by:
    `getLetExp_Variable` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Variable'.
  See Also:
    `LetExp.getVariable()`, `ExpressionsPackage.getLetExp()`

### getLiteralExp

    public EClass getLiteralExp()

  Specified by:
    `getLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Literal Exp'.
  See Also:
    `LiteralExp`

### getLoopExp

    public EClass getLoopExp()

  Specified by:
    `getLoopExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Loop Exp'.
  See Also:
    `LoopExp`

### getLoopExp_Body

    public EReference getLoopExp_Body()

  Specified by:
    `getLoopExp_Body` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `LoopExp.getBody()`, `ExpressionsPackage.getLoopExp()`

### getLoopExp_Iterator

    public EReference getLoopExp_Iterator()

  Specified by:
    `getLoopExp_Iterator` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Iterator'.
  See Also:
    `LoopExp.getIterator()`, `ExpressionsPackage.getLoopExp()`

### getMessageExp

    public EClass getMessageExp()

  Specified by:
    `getMessageExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Message Exp'.
  See Also:
    `MessageExp`

### getMessageExp_Target

    public EReference getMessageExp_Target()

  Specified by:
    `getMessageExp_Target` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MessageExp.getTarget()`, `ExpressionsPackage.getMessageExp()`

### getMessageExp_Argument

    public EReference getMessageExp_Argument()

  Specified by:
    `getMessageExp_Argument` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `MessageExp.getArgument()`, `ExpressionsPackage.getMessageExp()`

### getMessageExp_CalledOperation

    public EReference getMessageExp_CalledOperation()

  Specified by:
    `getMessageExp_CalledOperation` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Called Operation'.
  See Also:
    `MessageExp.getCalledOperation()`, `ExpressionsPackage.getMessageExp()`

### getMessageExp_SentSignal

    public EReference getMessageExp_SentSignal()

  Specified by:
    `getMessageExp_SentSignal` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Sent Signal'.
  See Also:
    `MessageExp.getSentSignal()`, `ExpressionsPackage.getMessageExp()`

### getNavigationCallExp

    public EClass getNavigationCallExp()

  Specified by:
    `getNavigationCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Navigation Call Exp'.
  See Also:
    `NavigationCallExp`

### getNavigationCallExp_Qualifier

    public EReference getNavigationCallExp_Qualifier()

  Specified by:
    `getNavigationCallExp_Qualifier` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Qualifier'.
  See Also:
    `NavigationCallExp.getQualifier()`, `ExpressionsPackage.getNavigationCallExp()`

### getNavigationCallExp_NavigationSource

    public EReference getNavigationCallExp_NavigationSource()

  Specified by:
    `getNavigationCallExp_NavigationSource` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Navigation Source'.
  See Also:
    `NavigationCallExp.getNavigationSource()`, `ExpressionsPackage.getNavigationCallExp()`

### getNullLiteralExp

    public EClass getNullLiteralExp()

  Specified by:
    `getNullLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Null Literal Exp'.
  See Also:
    `NullLiteralExp`

### getNumericLiteralExp

    public EClass getNumericLiteralExp()

  Specified by:
    `getNumericLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Numeric Literal Exp'.
  See Also:
    `NumericLiteralExp`

### getOCLExpression

    public EClass getOCLExpression()

  Specified by:
    `getOCLExpression` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'OCL Expression'.
  See Also:
    `OCLExpression`

### getOperationCallExp

    public EClass getOperationCallExp()

  Specified by:
    `getOperationCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Operation Call Exp'.
  See Also:
    `OperationCallExp`

### getOperationCallExp_Argument

    public EReference getOperationCallExp_Argument()

  Specified by:
    `getOperationCallExp_Argument` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `OperationCallExp.getArgument()`, `ExpressionsPackage.getOperationCallExp()`

### getOperationCallExp_ReferredOperation

    public EReference getOperationCallExp_ReferredOperation()

  Specified by:
    `getOperationCallExp_ReferredOperation` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `OperationCallExp.getReferredOperation()`, `ExpressionsPackage.getOperationCallExp()`

### getOperationCallExp_OperationCode

    public EAttribute getOperationCallExp_OperationCode()

  Specified by:
    `getOperationCallExp_OperationCode` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Operation Code'.
  See Also:
    `OperationCallExp.getOperationCode()`, `ExpressionsPackage.getOperationCallExp()`

### getPrimitiveLiteralExp

    public EClass getPrimitiveLiteralExp()

  Specified by:
    `getPrimitiveLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Primitive Literal Exp'.
  See Also:
    `PrimitiveLiteralExp`

### getPropertyCallExp

    public EClass getPropertyCallExp()

  Specified by:
    `getPropertyCallExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Property Call Exp'.
  See Also:
    `PropertyCallExp`

### getPropertyCallExp_ReferredProperty

    public EReference getPropertyCallExp_ReferredProperty()

  Specified by:
    `getPropertyCallExp_ReferredProperty` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Property'.
  See Also:
    `PropertyCallExp.getReferredProperty()`, `ExpressionsPackage.getPropertyCallExp()`

### getRealLiteralExp

    public EClass getRealLiteralExp()

  Specified by:
    `getRealLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Real Literal Exp'.
  See Also:
    `RealLiteralExp`

### getRealLiteralExp_RealSymbol

    public EAttribute getRealLiteralExp_RealSymbol()

  Specified by:
    `getRealLiteralExp_RealSymbol` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'Real Symbol'.
  See Also:
    `RealLiteralExp.getRealSymbol()`, `ExpressionsPackage.getRealLiteralExp()`

### getStateExp

    public EClass getStateExp()

  Specified by:
    `getStateExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'State Exp'.
  See Also:
    `StateExp`

### getStateExp_ReferredState

    public EReference getStateExp_ReferredState()

  Specified by:
    `getStateExp_ReferredState` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred State'.
  See Also:
    `StateExp.getReferredState()`, `ExpressionsPackage.getStateExp()`

### getStringLiteralExp

    public EClass getStringLiteralExp()

  Specified by:
    `getStringLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'String Literal Exp'.
  See Also:
    `StringLiteralExp`

### getStringLiteralExp_StringSymbol

    public EAttribute getStringLiteralExp_StringSymbol()

  Specified by:
    `getStringLiteralExp_StringSymbol` in interface `ExpressionsPackage`
  Returns:
    the meta object for the attribute 'String Symbol'.
  See Also:
    `StringLiteralExp.getStringSymbol()`, `ExpressionsPackage.getStringLiteralExp()`

### getTupleLiteralExp

    public EClass getTupleLiteralExp()

  Specified by:
    `getTupleLiteralExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Tuple Literal Exp'.
  See Also:
    `TupleLiteralExp`

### getTupleLiteralExp_Part

    public EReference getTupleLiteralExp_Part()

  Specified by:
    `getTupleLiteralExp_Part` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `TupleLiteralExp.getPart()`, `ExpressionsPackage.getTupleLiteralExp()`

### getTupleLiteralPart

    public EClass getTupleLiteralPart()

  Specified by:
    `getTupleLiteralPart` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Tuple Literal Part'.
  See Also:
    `TupleLiteralPart`

### getTupleLiteralPart_Value

    public EReference getTupleLiteralPart_Value()

  Specified by:
    `getTupleLiteralPart_Value` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `TupleLiteralPart.getValue()`, `ExpressionsPackage.getTupleLiteralPart()`

### getTupleLiteralPart_Attribute

    public EReference getTupleLiteralPart_Attribute()

  Specified by:
    `getTupleLiteralPart_Attribute` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `TupleLiteralPart.getAttribute()`, `ExpressionsPackage.getTupleLiteralPart()`

### getTypeExp

    public EClass getTypeExp()

  Specified by:
    `getTypeExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Type Exp'.
  See Also:
    `TypeExp`

### getTypeExp_ReferredType

    public EReference getTypeExp_ReferredType()

  Specified by:
    `getTypeExp_ReferredType` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Type'.
  See Also:
    `TypeExp.getReferredType()`, `ExpressionsPackage.getTypeExp()`

### getUnspecifiedValueExp

    public EClass getUnspecifiedValueExp()

  Specified by:
    `getUnspecifiedValueExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Unspecified Value Exp'.
  See Also:
    `UnspecifiedValueExp`

### getVariable

    public EClass getVariable()

  Specified by:
    `getVariable` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Variable'.
  See Also:
    `Variable`

### getVariable_InitExpression

    public EReference getVariable_InitExpression()

  Specified by:
    `getVariable_InitExpression` in interface `ExpressionsPackage`
  Returns:
    the meta object for the containment reference 'Init Expression'.
  See Also:
    `Variable.getInitExpression()`, `ExpressionsPackage.getVariable()`

### getVariable_RepresentedParameter

    public EReference getVariable_RepresentedParameter()

  Specified by:
    `getVariable_RepresentedParameter` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Represented Parameter'.
  See Also:
    `Variable.getRepresentedParameter()`, `ExpressionsPackage.getVariable()`

### getVariableExp

    public EClass getVariableExp()

  Specified by:
    `getVariableExp` in interface `ExpressionsPackage`
  Returns:
    the meta object for class 'Variable Exp'.
  See Also:
    `VariableExp`

### getVariableExp_ReferredVariable

    public EReference getVariableExp_ReferredVariable()

  Specified by:
    `getVariableExp_ReferredVariable` in interface `ExpressionsPackage`
  Returns:
    the meta object for the reference 'Referred Variable'.
  See Also:
    `VariableExp.getReferredVariable()`, `ExpressionsPackage.getVariableExp()`

### getCollectionKind

    public EEnum getCollectionKind()

  Specified by:
    `getCollectionKind` in interface `ExpressionsPackage`
  Returns:
    the meta object for enum 'Collection Kind'.
  See Also:
    `CollectionKind`

### getExpressionsFactory

    public ExpressionsFactory getExpressionsFactory()

  Specified by:
    `getExpressionsFactory` in interface `ExpressionsPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  The generated implementation is extended by adding me as a child of the empty root `OCL` package.

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.